<p>Alle Änderungen in einer Datenquelle müssen explizit gespeichert werden. Wenn das Fenster 
vorher geschlossen wird, gehen die Änderungen (in der Regel) verloren.</p> 
<p>Über die Auswahlbox in der Fußzeile lassen sich folgende Befehle ausführen</p>
<ul>
<li> <b>löschen</b>: Die Datenquelle wird gelöscht.</li> 
<li> <b>dokumentieren</b>: Eine vollständige, lesbare Dokumentation der Datenquelle wird erstellt.</li> 
<li> <b>testen</b>: Die Datenquelle wird getestet. Dazu wird eine Pseudo-Abfrage erstellt und abgeschickt. 
Fehler in der Spezifikation führen dann zu SQL-Fehlern in der Abfrage.</li> 
<li> <b>Test-SQL ausgeben</b>: Ausgabe der Pseudo-SQL-Abfrage aus dem Test.</li> 
<li> <b>Reports prüfen</b>: Es wird geprüft ob die Report-Spezifikationen, die auf dieser Datenquelle
aufbauen noch lauffähig sind. Insbesondere wird geprüft, ob alle Variablen (Zeilen, Spalten, Werte und Filter)
noch in der Datenquelle spezifiziert sind. Z.B. kann der Import einer neuen Version aus einer anderen Instanz
(Entwicklung, Test, Produktion) dazu führen, dass temporär in dieser Instanz angelegte Variablen verloren gehen.</li> 
<li> <b>exportieren</b>: Es wird eine Text-Datei mit allen Spezifikationen dieser Datenquelle erzeugt, die in einer
anderen Instanz importiert werden kann. Dieses Export-Format eignet sich auch zum Vergleich verschiedener 
Versionen einer Datenquelle.</li> 
</ul> 
<p>Alle Aktionen werden aus der Drop-Down-Liste in der Fußzeile ausgewählt und mit "ausführen" aufgerufen.</p> 
