<p>Hier werden berechnete Werte für die jeweilige Zeile ausgewählt und angeordnet.
Die Berechnung, z.B. Summen, ist in der Datenquelle definiert.
Die Ausgabe kann als Zahl und/oder als Balken-Grafik erfolgen. Bei kombinierten
Ausgaben werden horizontale Balken rechts neben den Zahlen und vertikale Balken
über den Zahlen angezeigt.</p>
<p>Die Skalierung der Grafiken kann wie folgt eingestellt werden:</p> 
<ul>
<li> <b>nach Gruppen</b>: Dies ist der Standard und berücksichtigt die Zusammenfassung
von Werten zu Gruppen in der Datenquelle </li> 
<li> <b>diesen Wert</b>: Die Zusammenfassung von Werten zu Gruppen wird ignoriert.</li> 
<li> <b>nach Zeilen</b>: Alle Werte mit dieser Option werden innerhalb einer Zeile einheitlich skaliert.</li> 
<li> <b>Tabelle</b>: Alle Werte mit dieser Option werden in der ganzen Tabelle einheitlich skaliert.</li> 
</ul>
<p>Die Spaltenüberschrift kann in dem Feld unter dem Werte-Namen überschrieben werden. Dabei kann
ein Doppelpunkt verwendet werden, um eine zweizeilige Überschrift zu erzeugen. Der Teil vor dem Doppelpunkt 
kann dann zur Zusammenfassung verwendet werden.Beispiel:
<br>Umsatz
<br>Kosten:Komponente 1
<br>Kosten:Komponente 2
<br>Kosten:Komponente 3
<br>Ertrag
<br>erzeugt in den Überschriften eine Zeile "Kosten" über den drei Kosten-Spalten</p>
<p>Bei Werten aus
verknüpften Datenquellen ist die Spaltenüberschrift zweizeilig, wobei in der ersten Zeile das
Label zur Verknüpfung angezeigt wird. Auch hier kann dieses Label für einzelne Spalten oder
Spaltengruppen nochmal überschrieben werden, indem erste und zweite Zeile durch einen Doppelpunkt
getrennt werden. Ein Doppelpunkt am Anfang unterdrückt dann die erste Zeile der Überschrift. Beispiel:
<br>Vorjahr:Umsatz
<br>Vorjahr:Ertrag
<br>vgl. mit VJ:Umsatzwachstum
<br>:Wachstum Ertrag (unterdrückt die erste Zeile und erzeugt einzeilige Spaltenüberschrift)
</p> 
<p>Wenn die Ausgabe eines Werts in den Summenzeilen nicht sinnvoll ist, kann sie unterdrückt werden.</p> 
<h3>Kumulierte Werte</h3>
<p>In der erzeugten Ausgabe können die ermittelten Werte auch mit verschiedenen Funktionen
bearbeitet werden. Z.B. kann ein Wert aufsteigend summiert werden.</p>
<p>Die Funktion wird in der Auswahl "Funktion" ausgewählt. 
Zusätzlich kann eine Zeilen-Ebene für die Gruppenbildung ausgewählt werden.
Wenn die Werte in Spalten angezeigt werden, wird die jeweilige Funktion über
alle Spalten der jeweiligen Spalten-Gruppe ausgeführt. Wenn dann "nach Spalten"
aktiviert wird, wird die Funktion nur in der jeweilgen Spalte ausgeführt</p>
   
 