<?php 
/**
 * Projekt: WS-Reporter
 *          Anzeige der verknüpfbaren Datenquellen bei der Spezifikation der Datenquellen
 *
 * Autor:    Wilfried Schollenberger
 *           WS Unternehmensberatung und Controlling-Systeme GmbH
 * Kontakt:  wisch@ws-unternehmensberatung.de
 * Lizenz:   GPL 3.0
 *
 * Stand:    22.02.2023
 *
 */
require_once './includes/wsrTranslate.inc';
global $query;
?>
<table>
<tr><td><?=WSRTranslate::translateH('Name')?></td>
<td class = "center"><?=WSRTranslate::translateH('Zum Bearbeiten auf das Label klicken')?></td>
<td colspan=2><?=WSRTranslate::translateH('Bewegen')?></td><td><?=WSRTranslate::translateH('löschen')?></td></tr>
<?php
for ($i = 0; $i < $query->addQueries->size(); $i++){
	$jrQ = $query->addQueries->getPos($i)->getQuery();
?>
<tr <?php dragNDdrop(4,$i,'drop')?>><th class="left" onclick="editJoinedQuery(<?=$i+100 ?>)" <?=makeTitle($jrQ->table_description) ?>><?=$jrQ->class_table ?></th>
<td onclick="editJoinedQuery(<?=$i+100 ?>)"  <?=makeTitle($jrQ->table_description)?>><?=$jrQ->outputTitlePrefix ?></td>
<td onclick="moveUp(4,<?=$i ?>)" class="center"><?=iconUp() ?></td>
<td onclick="moveDown(4,<?=$i ?>)" class="center"><?=iconDown() ?></td>
<td onclick="delVar(4,<?=$i ?>)" class="center"><?=iconDelete() ?></td>
</tr>
<?php
}
 
?>
<tr><th class="left"><?=WSRTranslate::translateH('Report-Query-Klasse (Tabelle)')?></th>
<td title="<?=WSRTranslate::translate('Auswahlliste bei Muster mit ?')?>"><?=WSRTranslate::translateH('hier eintragen')?>
 <input type="text" onchange="newVar(4,this)" id="NV4" size="30" autocomplete="off"/>
</td><td></td><td></td></tr>

</table>
<?php
if ($query->showMuster == 4){
    $liste = $query->listMuster();
    echo WSRTranslate::translateH('Muster (ggf. anklicken)').':<br><table>';
    foreach ($liste as $name => $label){
        ?>
<tr <?=makeTitle($label[1])?>><th class="left" onclick="newMusterVar(4,'<?=$name ?>')"><?=$name ?></th>
<td onclick="newMusterVar(4,'<?=$name ?>')"><?=$label[0] ?></td></tr>
<?php
	 }
	 ?>
	 <tr><th></th>
	 <th onclick="closeMuster(4)" ><?=WSRTranslate::translate('schließen')?></th></tr>
	 </table>	 
<?php
 }
	 
?>
