<?php 
/**
 * Projekt: WS-Reporter
 *          Anzeige der Werte bei der Spezifikation der Datenquellen
 *
 * Autor:    Wilfried Schollenberger
 *           WS Unternehmensberatung und Controlling-Systeme GmbH
 * Kontakt:  wisch@ws-unternehmensberatung.de
 * Lizenz:   GPL 3.0
 *
 * Stand:    22.02.2023
 *
 */
require_once './includes/wsrTranslate.inc';
global $query;
?>
<table>
<tr><td><?=WSRTranslate::translateH('Name')?></td>
<td class = "center"><?=WSRTranslate::translateH('Zum Bearbeiten auf das Label klicken')?></td>
<td colspan=2><?=WSRTranslate::translateH('Bewegen')?></td><td><?=WSRTranslate::translateH('löschen')?></td></tr>
<?php
for ($i = 0; $i < count($query->valueVars); $i++){
?>
<tr class="draggable" <?php dragNDdrop(2,$i,'drop')?>><th class="left" onclick="editVar(2,<?=$i ?>)"
  <?=makeTitle($query->getMetaRecord(2,$i)->description) ?>><?=$query->valueVars[$i] ?></th>
<td onclick="editVar(2,<?=$i ?>)"><?=quoteForText($query->getMetaRecord(2,$i)->label)?></td>
<td onclick="moveUp(2,<?=$i ?>)" class="center"><?=iconUp() ?></td>
<td onclick="moveDown(2,<?=$i ?>)" class="center"><?=iconDown() ?></td>
<td onclick="delVar(2,<?=$i ?>)" class="center"><?=iconDelete() ?></td>
</tr>
<?php
}
?>
<tr><th class="left"><?=WSRTranslate::translateH('Neuer Wert')?></th>
<td title="<?=WSRTranslate::translate('Auswahlliste bei Muster mit ?')?>"
  ><?=WSRTranslate::translateH('hier eintragen')?> 
  <input type="text" onchange="newVar(2,this)" id="NV2" size="30" autocomplete="off"/>
</td><td></td><td></td></tr>

</table>
<?php
if ($query->showMuster == 2){
    $liste = $query->listMuster();
    echo WSRTranslate::translateH('Muster (ggf. anklicken)').':<br><table>';
    foreach ($liste as $name => $label){
        ?>
<tr <?=makeTitle($label[1])?>><th class="left" onclick="newMusterVar(2,'<?=$name ?>')"><?=$name ?></th>
<td onclick="newMusterVar(2,'<?=$name ?>')"><?=$label[0] ?></td></tr>
    <?php
	 }
	 ?>
	 <tr><th></th>
	 <th onclick="closeMuster(2)" ><?=WSRTranslate::translate('schließen')?></th></tr>
	 </table>	 
<?php
 }	 
?>
