<?php
/**
 * Projekt: WS-Reporter
 *          Metadaten für verknüpfbare Datenquellen bei der Spezifikation der Datenquellen
 *
 * Autor:    Wilfried Schollenberger
 *           WS Unternehmensberatung und Controlling-Systeme GmbH
 * Kontakt:  wisch@ws-unternehmensberatung.de
 * Lizenz:   GPL 3.0
 *
 * Stand:    21.02.2023
 *
 */

require_once './includes/eqTest.inc';
if (false) $query = new Query("d");
if (isset($_REQUEST['pos'])) {
    $query->qEditSubject = $_REQUEST['pos'];
    $query->showMuster = 0;    
    return;
}

if (isset($_REQUEST['vnr']) && $query->qEditSubject >= 100){
    $aq = $query->addQueries->getPos($query->qEditSubject - 100);
    $jq = $aq->getQuery();
    $v = $aq->calcVars[$_REQUEST['vnr']];
    $mr = $jq->metaData[$v];
    if (false){
        $jq = new Query("d");
        $mr = new MetaRecord();
        $aq = new AddedQuery("d");
    }
    if ($mr == null){
        http_response_code(425);
        echo "Ungültiger Aufruf, Variable $v nicht gefunden\n";
        echo var_dump($aq->calcVars);
        echo "\n";
        echo var_dump($_REQUEST);
        return;
    }
    switch ($_REQUEST['attribute']){
        case 'label' : $mr->label = $_REQUEST['value'];
        break;
        case 'description' : $mr->description = $_REQUEST['value'];
        break;
        case 'hints' : $mr->hints = $_REQUEST['value'];
        break;
        case 'type' : $mr->type = $_REQUEST['value'];
        break;
        case 'filterType' : $mr->filterType = $_REQUEST['value'];
        break;
        case 'decimals' : $mr->decimals = $_REQUEST['value'];
        break;
        case 'align' : $mr->align = $_REQUEST['value'];
        break;
        case 'selectVar' : $mr->selectVar = $_REQUEST['value'];
            testJoinSelect($v,$aq);       
        break;
        case 'displayVar' : $mr->displayVar = $_REQUEST['value'];
            testJoinSelect($v,$aq);
        break;
        case 'chartColor' : $mr->chartColor = $_REQUEST['value'];
        break;
        case 'chartNegColor' : $mr->chartNegColor = $_REQUEST['value'];
        break;
        case 'chartMin' : $mr->chartMin = $_REQUEST['value'];
        break;
        case 'chartMax' : $mr->chartMax = $_REQUEST['value'];
        break;
        case 'chartGroup' : $mr->chartGroup = $_REQUEST['value'];
        break;
        default:
            http_response_code(425);
            echo "Ungültiges Attribut: ".$_REQUEST['attribute']."\n";
            echo var_dump($_REQUEST);
            return;           
    }
    return;
}