<p>Im WS-Reporter gibt es zwei Filter-Arten:<ul>
<li> Normale Filter wirken beim erstmaligen Zugriff auf die Datenbank. 
Aus den so ausgewählten Daten werden die Werte berechnet.</li>
<li> Anzeige-Filter, d.h. Werte- und Auswahl-Filter, wirken erst in der Ausgabe und verringern die angezeigten Zeilen.
Dadurch kann die Anzeige auf die wesentlichen Daten beschränkt und so übersichtlicher gestaltet werden.<br>
Diese Filter sind mit einem * bei Werte- und einem # bei Auswahl-Filtern vor dem Namen, bzw. dem Typ gekennzeichnet.</li> 
</ul>

<h4>Werte-Filter</h4>
<p>Werte-Filter wirken auf die angezeigten Zeilen. Der anzuzeigende Wert muss in einem bestimmten Intervall liegen oder einen 
bestimmten Wert unter- oder überschreiten, damit die Zeile angezeigt wird. Damit Summen-Zeilen auch angezeigt werden, wenn sie 
den Filter-Kriterien nicht genügen, muss die Wirksamkeit über die Auswahlliste 'wirksam' eingeschränkt werden.</p>

<h4>Auswahl-Filter</h4>
<p>Bei Auswahl-Filtern werden die Zeilen gruppenweise betrachtet. Der Filter-Typ bestimmt die Regel für die Auswahl der Zeilen. 
In der Reporet-Definition wird zunächst wird ein Summen-Filter erzeugt, dessen Typ
im nächsten Schritt geändert werden kann.</p>
<p>Der Filter-Typ <b>Summe</b> ermittelt die Summe für eine Zeilen-Ebene mit weiteren "Unter-Zeilen". Nur
wenn dieser Werte die eingegebene Grenze erreicht, wird die Zeilen-Gruppe angezeigt. Auf die hierarchisch höheren 
Summen-Zeilen hat diese Auswahl keinen Einfluss. Alternativ kann mit einem vorangestellten &lt;-Zeichen angegeben werden,
dass die Gruppen-Summe kleiner als der angegebene Wert sein muss. Auch &lt;=, &gt; statt dem voreingestellten &gt;= und
= bzw. != für gleich bzw. ungleich sind möglich. Bei einem Summen-Filter muss der Wert und die Ebene, auf der aus diesem Wert die 
Summe gebildet werden soll angegeben werden.</p>

<p>Alle anderen Filter erzeugen eine Rang-Folge für die unterste Zeilen-Ebene und wenden verschiedene Regeln für die 
Anzeige der Zeilen an. Die Anzeige einer Summenzeile und die darüber liegenden Ebenen sind von diesen Filtern nicht betroffen.
Dazu wird der betrachtete Wert ausgewählt und abhängig vom Filtertyp ein Grenzwert zur Anzeige eingegeben. Grundsätzlich
werden die Zeilen mit den höchsten Werten angezeigt. Mit der Auswahl 'aufsteigend' kann diese Auswahl umgedreht werden,
so dass die kleinsten Werte angezeigt werden.</p> 
<p>Im Folgenden werden die Filter-Typen beschrieben:
<ul>
<li><b>Rangfolge</b>: Die Anzeige wird auf die n Zeilen mit den höchsten, bzw. niedrigsten Werten begrenzt. 
n wird als Grenzwert in Anzahl eingegeben. Wenn zwei Zeilen an der Rang-Grenze denselben Werte haben, ist die Auswahl zufällig.</li>
<li><b>Anteil in %</b>: Es wird ein fester %-Satz der vorhandenen Zeilen, mindestens aber eine Zeile angezeigt. Der Prozentsatz
wird als Zahl zwischen 0 und 100 eingegeben.
Wenn zwei Zeilen an der %-Grenze denselben Werte haben, werden beide angezeigt.</li>
<li><b>Anteil++</b>: Eine Kombination aus Rangfolge und Anteil: Dabei wird der Anteil als beliebiger Bruch eingegeben,
wobei der Zähler gleichzeitig die Untergrenze für die anzuzeigenden Zeilen darstellt. 
<br>Beispiel: 1/4 es werden 25% aller Zeilen, mindestens aber eine Zeile angezeigt. Sollen mindestens zwei Zeilen angezeigt werden, 
müsste 2/8 angegeben werden.</li>
<li><b>kumm. Summe</b>: Zeilen werden angezeigt solange die angegebene Grenze nicht erreicht ist. Dieser Typ ist
vor allem in Kombination mit der 'aufsteigend'-Option sinnvoll, wenn die kleinsten Werte, die zusammen die 
Grenze nicht übersteigen, gesucht werden sollen.</li>
</ul>
<p>Ein Werte-Filter wirkt immer vor dem Auswahl-Filter. Beim Summen-Filter kann die Kombination mit einem
Werte-Filter deshalb zur Folge haben, dass die einzelnen Zeilen
nicht angezeigt werden, obwohl die Summe auf der gewählten Ebene diese Grenze überschreiten würde. Dann wird nur die 
Summen-Zeile angezeigt.</p>