<?php
/**
 * Projekt: WS-Reporter
 *          Einlesen der Optionen in die Auswahlliste eines Filters bei der Spezifikation der Datenquellen
 *
 * Autor:    Wilfried Schollenberger
 *           WS Unternehmensberatung und Controlling-Systeme GmbH
 * Kontakt:  wisch@ws-unternehmensberatung.de
 * Lizenz:   GPL 3.0
 *
 * Stand:    7.10.2021
 *
 */

if (false) $query= new Query("Dummy");
$column_name = 'WSR_WERTELISTE';
$mr = $query->metaData[$column_name];
if ($mr == null){
    http_response_code(425);
    echo "Ungültiger Aufruf keine Metadaten für WSR_WERTELISTE\n";
    echo var_dump($_REQUEST);
    return;
}

if (! isset($_REQUEST['size'])){
    $mr->setSelectOptions(null);    
    return;
}else{
    $selections = array();
    for ($i = 0; $i < $_REQUEST['size']; $i++){
        $selections[] = array ($_REQUEST['V'.$i], $_REQUEST['L'.$i] );    
    }
    $mr->setSelectOptions($selections);
//    $query->metaData[$column_name] = $mr;
error_log(print_r($mr,true));
    return;
}


http_response_code(425);
echo "setSelectOptions ist noch nicht fertig\n";
echo var_dump($_REQUEST);
return;